LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
X3DDisplay Interface Referencepublished

gives access to 3D elements of a three-dimensional chart. More...

`import"X3DDisplay.idl";`

Inheritance diagram for X3DDisplay:

## Public Member Functions
com::sun::star::beans::XPropertySet | getWall ()
com::sun::star::beans::XPropertySet | getFloor ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to 3D elements of a three-dimensional chart.

See also
  Dim3DDiagram

## Member Function Documentation

## ◆ getFloor()

com::sun::star::beans::XPropertySet getFloor | ( |  | ) |

Returns
  the properties of the floor.

This is only valid for three-dimensional diagrams.

See also
  ChartArea

## ◆ getWall()

com::sun::star::beans::XPropertySet getWall | ( |  | ) |

Returns
  the properties of the diagram wall(s).

This specifies the properties of the two side walls of the chart scene.

Note that this property is also valid for two-dimensional diagrams. There the properties returned here affect the background rectangle of the diagram.

See also
  ChartArea

The documentation for this interface was generated from the following file:

- com/sun/star/chart/X3DDisplay.idl